function nu = numericalFitGaussianMoments012(pval, domain)

    moments = numericalMoments(pval, domain, [0,1,2]);

    % We need to divide by moments(1) when finding mu and sigma because
    % if p(x) wasn't normalized in the beginning, the expectation of x with respect
    % to p(x) yields mu * the normalizing constant of p(x).
    Z = moments(1);
    mu = moments(2)/Z;
    sigma = sqrt(moments(3)/Z-mu^2);

    nu = zeros(1,3);
    nu(1) = -(mu^2)/(2*sigma^2) - 0.5*log(2*pi) + log(Z) - log(sigma);
    nu(2) = mu/sigma^2;
    nu(3) = -1/(2*sigma^2);
